/**
 * @copyright 2020 {@link http://infiniteautomation.com|Infinite Automation Systems, Inc.} All rights reserved.
 * @author Luis Güette
 */

define(['angular', 'require'], (angular, require) => {
    'use strict';

    class UnitsTableController {
        static get $$ngIsClass() {
            return true;
        }

        static get $inject() {
            return [];
        }

        constructor() {
            this.query = {
                limit: 10,
                page: 1
            }
        }

        $onInit() {

        }
    }

    return {
        bindings: {
            units: '<'
        },
        controller: UnitsTableController,
        templateUrl: require.toUrl('./unitsTable.html')
    };
});
